Uberspect (Velocity 1.7 API)
Keywords: org.apache.velocity.util.introspection.Uberspect interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.util.introspection
Interface Uberspect

All Known Subinterfaces:
  ChainableUberspector

All Known Implementing Classes:
  AbstractChainableUberspector, UberspectImpl

public interface Uberspect

'Federated' introspection/reflection interface to allow the introspection behavior in Velocity to be customized.

Version:
  $Id: Uberspect.java 774412 2009-05-13 15:54:07Z nbubna $
Author:
  Geir Magusson Jr.

Method Summary
`Iterator` | `getIterator(Object obj, Info info)` To support iteratives - #foreach()
`VelMethod` | `getMethod(Object obj, String method, Object[] args, Info info)` Returns a general method, corresponding to $foo.bar( $woogie )
`VelPropertyGet` | `getPropertyGet(Object obj, String identifier, Info info)` Property getter - returns VelPropertyGet appropos for #set($foo = $bar.woogie)
`VelPropertySet` | `getPropertySet(Object obj, String identifier, Object arg, Info info)` Property setter - returns VelPropertySet appropos for #set($foo.bar = "geir")
`void` | `init()` Initializer - will be called before use

Method Detail

### init

    public void init()

  Initializer - will be called before use

### getIterator

    public Iterator getIterator(Object obj,
                                Info info)
                         throws Exception

  To support iteratives - #foreach()

  Parameters:
    `obj` -
    `info` -
  Returns:
    An Iterator.
  Throws:
    `Exception`

### getMethod

    public VelMethod getMethod(Object obj,
                               String method,
                               Object[] args,
                               Info info)
                        throws Exception

  Returns a general method, corresponding to $foo.bar( $woogie )

  Parameters:
    `obj` -
    `method` -
    `args` -
    `info` -
  Returns:
    A Velocity Method.
  Throws:
    `Exception`

### getPropertyGet

    public VelPropertyGet getPropertyGet(Object obj,
                                         String identifier,
                                         Info info)
                                  throws Exception

  Property getter - returns VelPropertyGet appropos for #set($foo = $bar.woogie)

  Parameters:
    `obj` -
    `identifier` -
    `info` -
  Returns:
    A Velocity Getter.
  Throws:
    `Exception`

### getPropertySet

    public VelPropertySet getPropertySet(Object obj,
                                         String identifier,
                                         Object arg,
                                         Info info)
                                  throws Exception

  Property setter - returns VelPropertySet appropos for #set($foo.bar = "geir")

  Parameters:
    `obj` -
    `identifier` -
    `arg` -
    `info` -
  Returns:
    A Velocity Setter.
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.